# Module sup_yaws

- Function Index
- Function Details

Copyright © 2011, 2012 Zuse Institute Berlin

Version: $Id$

Behaviours: `supervisor`.

Authors: Nico Kruber (`kruber@zib.de`).

## Function Index

check_config/0 | Checks whether yaws config parameters exist and are valid.
init/1 |
start_link/0 |

## Function Details

### start_link/0

    start_link() ->
                  {ok, Pid :: pid()} |
                  ignore |
                  {error,
                   Error ::
                       {already_started, Pid :: pid()} |
                       shutdown |
                       term()}

### init/1

    init(ChildSpecs) ->
            {ok,
             {{one_for_all,
               MaxRetries :: pos_integer(),
               PeriodInSeconds :: pos_integer()},
              ChildSpecs}}

-     ChildSpecs = [supervisor:child_spec()]

### check_config/0

    check_config() -> boolean()

Checks whether yaws config parameters exist and are valid.

Generated by EDoc, Feb 29 2016, 16:12:16.